xmonad

Portability |
Stability | provisional
Maintainer | Don Stewart <dons@galois.com>

XMonad

Description

Synopsis

- module XMonad.Main
- module XMonad.Core
- module XMonad.Config
- module XMonad.Layout
- module XMonad.ManageHook
- module XMonad.Operations
- module Graphics.X11
- module Graphics.X11.Xlib.Extras
- (.|.) :: Bits a => a -> a -> a
- class Monad m => MonadState s m | m -> s where
  - get :: m s
  - put :: s -> m ()
- gets :: MonadState s m => (s -> a) -> m a
- modify :: MonadState s m => (s -> s) -> m ()
- class Monad m => MonadReader r m | m -> r where
  - ask :: m r
  - local :: (r -> r) -> m a -> m a
- asks :: MonadReader r m => (r -> a) -> m a
- class Monad m => MonadIO m where
  - liftIO :: IO a -> m a

# Documentation

module XMonad.Main

module XMonad.Core

module XMonad.Config

module XMonad.Layout

module XMonad.ManageHook

module XMonad.Operations

module Graphics.X11

module Graphics.X11.Xlib.Extras

(.|.) :: Bits a => a -> a -> a

Bitwise "or"

class Monad m => MonadState s m | m -> s where

Methods

get :: m s

put :: s -> m ()

Instances

MonadState XState X |
MonadState s m => MonadState s (MaybeT m) |
MonadState s m => MonadState s (ListT m) |
MonadState s m => MonadState s (IdentityT m) |
(Monoid w, MonadState s m) => MonadState s (WriterT w m) |
(Monoid w, MonadState s m) => MonadState s (WriterT w m) |
Monad m => MonadState s (StateT s m) |
Monad m => MonadState s (StateT s m) |
MonadState s m => MonadState s (ReaderT r m) |
(Error e, MonadState s m) => MonadState s (ErrorT e m) |
MonadState s m => MonadState s (ContT r m) |
(Monad m, Monoid w) => MonadState s (RWST r w s m) |
(Monad m, Monoid w) => MonadState s (RWST r w s m) |

gets :: MonadState s m => (s -> a) -> m a

modify :: MonadState s m => (s -> s) -> m ()

class Monad m => MonadReader r m | m -> r where

Methods

ask :: m r

local :: (r -> r) -> m a -> m a

Instances

MonadReader Window Query |
MonadReader XConf X |
MonadReader r m => MonadReader r (MaybeT m) |
MonadReader r m => MonadReader r (ListT m) |
MonadReader r m => MonadReader r (IdentityT m) |
MonadReader r ((->) r) |
(Monoid w, MonadReader r m) => MonadReader r (WriterT w m) |
(Monoid w, MonadReader r m) => MonadReader r (WriterT w m) |
MonadReader r m => MonadReader r (StateT s m) |
MonadReader r m => MonadReader r (StateT s m) |
Monad m => MonadReader r (ReaderT r m) |
(Error e, MonadReader r m) => MonadReader r (ErrorT e m) |
MonadReader r' m => MonadReader r' (ContT r m) |
(Monad m, Monoid w) => MonadReader r (RWST r w s m) |
(Monad m, Monoid w) => MonadReader r (RWST r w s m) |

asks :: MonadReader r m => (r -> a) -> m a

class Monad m => MonadIO m where

Methods

liftIO :: IO a -> m a

Instances

MonadIO IO |
MonadIO Query |
MonadIO X |
MonadIO m => MonadIO (MaybeT m) |
MonadIO m => MonadIO (ListT m) |
MonadIO m => MonadIO (IdentityT m) |
MonadIO m => MonadIO (StateT s m) |
MonadIO m => MonadIO (ReaderT r m) |
(Error e, MonadIO m) => MonadIO (ErrorT e m) |
(Monoid w, MonadIO m) => MonadIO (WriterT w m) |
(Monoid w, MonadIO m) => MonadIO (WriterT w m) |
MonadIO m => MonadIO (StateT s m) |
MonadIO m => MonadIO (ContT r m) |
(Monoid w, MonadIO m) => MonadIO (RWST r w s m) |
(Monoid w, MonadIO m) => MonadIO (RWST r w s m) |